Bug 1668544 - Content View version export with huge contents gets timed out
Summary: Content View version export with huge contents gets timed out
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: 6.5.0
Assignee: Chris Roberts
QA Contact: Mike McCune
URL: https://projects.theforeman.org/issue...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1644596
TreeView+ depends on / blocked
 
Reported: 2019-01-23 05:19 UTC by Jitendra Yejare
Modified: 2019-05-14 19:58 UTC (History)
10 users (show)

(edit)
If you export a Content View with contents that require a large amount of disk space, you might see the `Timed out reading data from server` error message. Until https://bugzilla.redhat.com/show_bug.cgi?id=1668544[Red Hat Bug 1668544] is resolved, use the Knowledgebase solution https://access.redhat.com/solutions/1274723[How to setup hammer API request timeout on Satellite 6] to fix this issue.
Clone Of:
(edit)
Last Closed: 2019-05-14 19:58:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Katello hammer-cli-katello pull 640 None None None 2019-04-09 13:38 UTC
Foreman Issue Tracker 26257 None None None 2019-03-06 15:03 UTC

Description Jitendra Yejare 2019-01-23 05:19:29 UTC
Description of problem:
Content view version having huge contents(in my case 30,000 rpms of 2 repos) gets timed out during export and exported content tar is not created in the export location.


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 12

How reproducible:
Always

Steps to Reproduce:
1. Sync repos having huge number of yum contents(in my case RHEL7 server and RHSCL7 repo)
2. Add these repos to Content View.
3. Publish and promote the CV.
4. Attempt to export the CV version.

Actual results:
The CV Version export with huge contents gets timed out and contents tar is not created in export location.

# hammer content-view version export --id 5 --export-dir /var/lib/pulp/katello-export/
Could not export the content view:
  Error: Timed out reading data from server

# ll /var/lib/pulp/katello-export/
total 0


Expected results:
CV version with any number of contents should be exported to export location without any time out error.

Additional info:
When I try to export the CV version having just an RHSCL7 repo(10000+ contents), it exported successfully.

Comment 3 Jitendra Yejare 2019-01-23 05:21:27 UTC
No error seems to be logged to production.log

Comment 5 Jitendra Yejare 2019-01-29 13:07:34 UTC
The creds and the server fqdn sent through irc and email.

Comment 8 Jitendra Yejare 2019-02-04 16:13:54 UTC
Can we add the w/o mentioned comment 7 in beta documentation? I am sure many customers will hit this issue.

Comment 11 Mike McCune 2019-04-20 23:10:11 UTC
VERIFIED Snap 25: Exported a CV with 41211 packages:

41211 Packages
4151 Errata 

no errors:

[root@sat-r220-02 ~]# hammer content-view version  export  --id  60  --export-dir /var/lib/pulp/katello-export/
[root@sat-r220-02 ~]# du -sh /var/lib/pulp/katello-export/
53G	/var/lib/pulp/katello-export/

Comment 12 Jitendra Yejare 2019-04-22 06:14:08 UTC
Verified!

@ Satellite 6.5 snap 25


Steps:

1. Export Content View version with huge contents (tried around 5000 contents)
2. Import the exported contents from another org/satellite.


Behavior:

1. All the Cv version contents exported successfully. (Tested in snap 24)
2. All the exported contents in tar, gets imported from another org. (because of bug https://bugzilla.redhat.com/show_bug.cgi?id=1699457, tested in 25 after fix)

Comment 13 Bryan Kearney 2019-05-14 19:58:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.